///////////////////////////////////////////////////////////////////////////////
/// @file deFile.cpp
///
/// @brief basic file system interface
///
/// @author Lightning
///
/// This file is the intellectual property of Novus Delta, LLC.. Usage of the
/// contents of this file is subject to the Destiny3D Member License which
/// can be found at http://www.destiny3d.com.  Any other usage is prohibited.
///
/// This file is distributed "AS IS" without warranty of any kind.  Novus
/// Delta, LLC. does not guarantee the fitness of the contents of this file
/// for any particular purpose.
///
/// Copyright (C) 2001-2003 Novus Delta, LLC. All Rights Reserved.
///
/// <hr>
///                                 Change History
/// <hr>
///
/// @date Nov 2001
/// @author Lightning
/// @remarks Creation
///
///////////////////////////////////////////////////////////////////////////////

#include "deFile_priv.hpp"

IdeFileMemory* IdeFile_CreateFileMemory()
{
	return new deFileMemory();
}

IdeFilePlugin* IdeFile_CreateFilePlugin()
{
	return new deFilePlugin();
}

deFile::deFile()
{
}

deFile::~deFile()
{
}

int deFile::Release()
{
	delete this;
	return 0;
}

deBoolean deFile::Open(IdeFileSystem* /*BaseFS*/, char* /*Filename*/, long /*OpenFlags*/)
{
	return 0;
}

deBoolean deFile::Close()
{
	return 0;
}

void* deFile::GetInterface(IdeFile::interface_t i)
{
	if (i == IdeFile::iface_IdeFile)
		return (IdeFile*)(this);
	return NULL;
}

long deFile::Read(void * /*Buffer*/, long /*Length*/)
{
	return 0;
}

long deFile::Write(void * /*Buffer*/, long /*Length*/)
{
	return 0;
}

long deFile::GetPosition()
{
	return 0;
}

long deFile::SetPosition(long /*NewPosition*/, IdeFile::Seek /*SeekType*/)
{
	return 0;
}

long deFile::GetSize()
{
	return 0;
}

deBoolean deFile::SetSize(long /*NewSize*/)
{
	return deFALSE;
}

s64 deFile::GetTime()
{
	return 0;
}

deBoolean deFile::SetTime(s64 /*Time*/)
{
	return deFALSE;
}

deBoolean deFile::GetProperties(deFileProperties * /*Properties*/)
{
	return deFALSE;
}

long deFile::GetOpenFlags()
{
	return 0;
}

